require 'spec_helper'



describe FirebaseCommand do
	context "test public" do
		before(:each) do
			class DummyClass
			end
		  @dummy_class = DummyClass.new
		  @dummy_class.extend(FirebaseCommand)

		end

		it "has a uri" do
			expect(@dummy_class.uri).to eq("https://radiant-fire-3325.firebaseio.com/classrooms")
		end

		it "makes a request url" do
			uri =@dummy_class.uri
			uuid="2"
			call="#{uri}/#{uuid}.json"
			expect(@dummy_class.request_url("2")).to eq("https://radiant-fire-3325.firebaseio.com/classrooms/2.json")
		end
	end
end

describe FirebaseCreateCommand do
  context "#create" do
    it "responds" do
      expect(FirebaseCreateCommand.create(['dsafasdfdsTEST', 'test_room', 'test_text'])).to_not be_nil
    end
  end

end

describe FirebaseUpdateCommand do
  context "#update" do
    it "responds" do
      expect(FirebaseUpdateCommand.update(['TEST', 'test_room', 'test_text'], 'test')).to_not be_nil
    end
  end
end

