# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'codefusion/version'

Gem::Specification.new do |spec|
  spec.name          = "codefusion"
  spec.version       = Codefusion::VERSION
  spec.authors       = ["Aaron Wertman, Ben Myhre, David Stavis, Drew West, James Hulley"]
  spec.email         = ["drewfwest@gmail.com"]
  spec.description   = %q{Run the fusion command line executable to start a live coding session that can be watched by anyone who has the url printed to the command line.}
  spec.summary       = %q{Allows teachers to stream copies of their code to many students, live.}
  spec.homepage      = ""
  spec.license       = "MIT"

#/*****************Dependencies*********************
  spec.add_development_dependency('rspec')
  spec.add_development_dependency('pry')

  spec.add_runtime_dependency('listen')
  spec.add_runtime_dependency('json')
  spec.add_runtime_dependency('httparty')

#*****************Dependencies*********************/

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
