require 'spec_helper'
describe CodefusionApp do
  before :each do
    File.new('test.txt', 'w+')
    args=["test.txt"]
    @codefusion=double( CodefusionApp, args: "test.txt", view: double(View), classroom: double(Classroom), listener: double(Listener) )
    @codefusion.stub(:interpret_args) { 'this ran' }
    @codefusion.stub(:provide_help) { 'this is an error' }
  end

  after :each do
    File.delete('test.txt')
  end

  it "instatiates a new instance" do
    expect(@codefusion).to_not eq(nil)
  end

  it "shows that interpret_args runs" do
    expect(:interpret_args).to_not eq(nil)
  end

  it "instatiates with args" do
    expect(@codefusion.args).to eq("test.txt")
  end

  it "instatiates with a view" do
    expect(@codefusion.view).to_not eq(nil)
  end

  it "creates a new classroom if passed valid arguments" do
    expect(@codefusion.classroom).to_not eq(nil)
  end

  it "creates a new listener if passed valid arguments" do
    expect(@codefusion.listener).to_not eq(nil)
  end
end